update screenshot

This commit is contained in:
sudacode 2025-03-17 00:46:16 -07:00
parent 4fe3199161
commit 609880fd07
Signed by: sudacode
SSH Key Fingerprint: SHA256:lT5C2bB398DcX6daCF/gYFNSTK3y+Du3oTGUnYzfTEw

View File

@ -1,5 +1,5 @@
#!/usr/bin/env bash
#
# GUI Screenshot Tool for Wayland Using Zenity, Grim, Slurp, and Rofi
SCRIPT_NAME=$(basename "$0")
@ -8,14 +8,7 @@ DEFAULT_FILENAME=screenshot.png
TMP_SCREENSHOT="$TMP_DIR/$DEFAULT_FILENAME"
HYPRLAND_REGEX='.at[0],(.at[1]) .size[0]x(.size[1])'
REQUIREMENTS=(grim slurp rofi zenity wl-copy)
for cmd in "${REQUIREMENTS[@]}"; do
if ! command -v "$cmd" &> /dev/null; then
echo "Error: $cmd is not installed. Please install it first."
exit 1
fi
done
USE_NOTIFICATIONS=1
CHOICES=(
"1. Select a region and save - slurp | grim -g - \"$TMP_SCREENSHOT\""
"2. Select a region and copy to clipboard - slurp | grim -g - - | wl-copy"
@ -24,7 +17,6 @@ CHOICES=(
"5. Edit - slurp | grim -g - - | swappy -f -"
"6. Quit - exit 0"
)
USE_NOTIFICATIONS=0
notify() {
local body="$1"
@ -36,9 +28,8 @@ notify() {
if [[ -z "$title" ]]; then
title="$SCRIPT_NAME"
fi
local use_notification="${3:-$USE_NOTIFICATIONS}"
if ((use_notification)); then
if ((USE_NOTIFICATIONS)); then
notify-send "$title" "$body"
else
printf "%s\n%s\n" "$title" "$body"
@ -46,6 +37,16 @@ notify() {
return 0
}
check_deps() {
for cmd in "${REQUIREMENTS[@]}"; do
if ! command -v "$cmd" &> /dev/null; then
echo "Error: $cmd is not installed. Please install it first."
exit 1
fi
done
}
main() {
CHOICE="$(rofi -dmenu -i -p "Enter option or select from the list" \
-mesg "Select a Screenshot Option" \
-a 0 -no-custom -location 0 \
@ -102,3 +103,7 @@ case "$?" in
notify "An unexpected error has occurred."
;;
esac
}
check_deps
main